Lookup CAC
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/cac/basic \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/cac/basic"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/cac/basic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"company_name": "JOHN DOE LIMITED",
"type_of_company": "BUSINESS_NAME",
"address": "25A James Street Magodo Phase I, Lagos, Nigeria.",
"status": "Not Active",
"date_of_registration": "2021-03-18T09:53:20.310+00:00",
"rc_number": "1234567",
"business_number": "1234567",
"email": "ABC@GMAIL.COM",
"state": "Lagos",
"city": "Lagos",
"lga": "Kosofe",
"business": "7a666454-8ce0-44e2-ac32-3e8cb04b6b72"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Lookup CAC
This endpoint to fetch and verify SMEs, corporate organizations and individuals using Corporate Affairs Commission (CAC)
GET
/
api
/
v1
/
kyc
/
cac
/
basic
Lookup CAC
What is CAC?
It is a certificate that shows that a company is registered and exist in a countryApplication ID from dashboard
Query parameter
CAC Registration Number
company type
RESPONSES
json
{
"entity": {
"company_name": "JOHN DOE LIMITED",
"type_of_company": "BUSINESS_NAME",
"address": "25A James Street Magodo Phase I, Lagos, Nigeria.",
"status": "Not Active",
"date_of_registration": "2021-03-18T09:53:20.310+00:00",
"rc_number": "1234567",
"business_number": "1234567",
"email": "ABC@GMAIL.COM",
"state": "Lagos",
"city": "Lagos",
"lga": "Kosofe",
"business": "7a666454-8ce0-44e2-ac32-3e8cb04b6b72"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I